Terminate JEF Store authentication session¶
Summary¶
Source repository:
jef-systems/jef-store-backendSource SHA:
07d2489d50cb131c466864ee7efe8e81fa498460Source run id:
30743812576Module:
StoreLambda function:
jef-store-terminate-authentication-sessionHTTP method:
POSTInvocation mode:
syncPackage mode:
no-packageAPI category:
Store Complex Sync No Package POST APIsAPI path:
/store/complex-sync-no-packages/auth/logoutEndpoint URL:
https://api.jefoffice.com/store/complex-sync-no-packages/auth/logoutDocumentation scope:
lambda-complex-sync-no-packages
Synchronous Lambda Complex Rule¶
This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.
Description¶
Validates same-origin logout, revokes the canonical JEF session, clears cookies, and redirects through Cognito logout.
Payload Example¶
{
"csrf_token": "sample-csrf-token"
}
Payload Schema¶
{
"root": {
"type": "M",
"required": true,
"additional_properties": false,
"attributes": {
"csrf_token": {
"type": "S",
"required": false,
"description": "HMAC-derived logout CSRF token.",
"write_only": true,
"max_length": 256,
"example": "sample-csrf-token"
}
}
}
}
Response Schema¶
{
"root": {
"type": "M",
"required": true,
"additional_properties": false,
"attributes": {
"error": {
"type": "S",
"required": false,
"description": "Browser-safe logout error code."
}
}
}
}
Request Payload¶
{
"csrf_token": "sample-csrf-token"
}
CMD curl¶
curl.exe -X POST "https://api.jefoffice.com/store/complex-sync-no-packages/auth/logout" -H "Content-Type: application/json" --data-raw '{}'
PowerShell curl¶
curl.exe -X POST "https://api.jefoffice.com/store/complex-sync-no-packages/auth/logout" -H "Content-Type: application/json" --data-raw '{}'